routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/consulta', 'ConsultaController@consulta');
Route::get('/orden', 'ConsultaController@orden');

Auth::routes([ 'register' => false ]);

Route::get('/', 'HomeController@index')->name('home')->middleware('auth');
Route::get('/home', 'HomeController@index')->name('home')->middleware('auth');

Route::get('/ordens/filtro', 'OrdenController@filter')->middleware('auth');
Route::get('/ordens/buscar', 'OrdenController@search')->middleware('auth');
Route::get('/ordens/imprimir/{id}', 'OrdenController@imprimir')->middleware('auth');

Route::get('/precios/filtro', 'PrecioController@filter')->middleware('auth');

Route::get('/clientes/search', 'ClienteController@search')->middleware('auth');
Route::get('/clientes/buscar', 'ClienteController@buscar')->middleware('auth');
Route::get('/clientes/filtro', 'ClienteController@filter')->middleware('auth');

Route::resource('ordens','OrdenController')->middleware('auth');
Route::resource('clientes','ClienteController')->middleware('auth');
Route::resource('precios','PrecioController')->middleware('auth');
Route::resource('externos','ExternoController')->middleware('auth');
Route::resource('users','UserController')->middleware('auth');

resources/views/includes/footer.blade.php
<div id="copyright" class="col text-center">
    Desarrollo web: <a href="https://servalweb.com">servalweb.com</a> - 
    <a href="https://gitlab.com/serval.software/laravel-repair-shop">Código fuente</a>
</div>

resources/views/includes/head.blade.php
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- CSRF Token -->
<meta name="csrf-token" content="{{ csrf_token() }}">

<title>{{ config('app.name', 'Laravel') }}</title>

<!-- Scripts -->
<script src="{{ asset('js/app.js') }}" defer></script>

<!-- Icons -->
<script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
<!-- <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous"> -->

<!-- Fonts -->
<link rel="dns-prefetch" href="//fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css?family=PT+Mono|PT+Sans" rel="stylesheet">

<!-- Styles -->
<link href="{{ asset('css/app.css') }}" rel="stylesheet">

resources/views/includes/header.blade.php
<a class="navbar-brand d-none d-sm-inline-block col-sm-3 col-md-2 mr-0" href="{{ url('/') }}">
    {{ config('app.name', 'Laravel') }}
</a>
<button class="navbar-toggler d-block d-md-none" type="button" data-toggle="collapse" data-target="#sidebar" aria-controls="sidebar" aria-expanded="false" aria-label="Mostrar u ocultar barra lateral">
    <span class="navbar-toggler-icon"></span>
</button>



<form method="get" class="w-100" action="{{action('ClienteController@search')}}">
    <div class="input-group w-100">
        <input class="form-control" id="buscar-cliente" name="buscar-cliente" type="text" placeholder="Buscar cliente" aria-label="Buscar cliente">

        <span class="input-group-append">
            <button type="submit" class="btn btn-secondary">
                Buscar
            </button>
        </span>
    </div>
</form>

<ul class="navbar-nav px-3">
    @guest
    <li class="nav-item text-nowrap">
        <a class="nav-link" href="{{ route('login') }}">Iniciar sesión</a>
    </li>
    @if (Route::has('register'))
    <li class="nav-item text-nowrap">
        <a class="nav-link" href="{{ route('register') }}">Registrarse</a>
    </li>
    @endif
    @else
    <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" id="authNavbarDropdown" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{ Auth::user()->name }} <span class="caret"></span>
        </a>

        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="authNavbarDropdown">
            <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                        document.getElementById('logout-form').submit();">
                Cerrar sesión
            </a>

            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                @csrf
            </form>
        </div>
    </li>
    @endguest
</ul>

resources/views/includes/sidebar.blade.php
<div class="sidebar-sticky">
    <ul class="nav flex-column">
        <li class="nav-item"><a class="nav-link {{ Request::path() ==  'clientes' ? 'active' : '' }}" href="{{ route('clientes.index') }}">Clientes</a></li>
        <li class="nav-item"><a class="nav-link {{ Request::path() ==  'ordens' ? 'active' : '' }}" href="{{ route('ordens.index') }}">Órdenes</a></li>
        <li class="nav-item"><a class="nav-link {{ Request::path() ==  'precios' ? 'active' : '' }}" href="{{ route('precios.index') }}">Lista de precios</a></li>
        <li class="nav-item"><a class="nav-link {{ Request::path() ==  'externos' ? 'active' : '' }}" href="{{ route('externos.index') }}">Externos</a></li>
        <li class="nav-item"><a class="nav-link {{ Request::path() ==  'users' ? 'active' : '' }}" href="{{ route('users.index') }}">Usuarios</a></li>
    </ul>
    <!--<h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
        <span>Ejemplos</span>
        <a class="d-flex align-items-center text-muted" href="#">
            <span data-feather="plus-circle"></span>
        </a>
    </h6>
    <ul class="nav flex-column mb-2">
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#">
                <span data-feather="file-text"></span>
                Opción del menú
            </a>
        </li>
    </ul>-->
</div>